SbThread Class Reference

| http://www.sim.no/ http://www.coin3d.org/

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
SbThread Class Reference
Portable Threads Abstraction Classes

A class for managing threads.This class provides a portable framework around the tasks of instantiating, starting, stopping and joining threads. More...

`#include <Inventor/threads/SbThread.h>`

## Public Member Functions
SbBool | join (void **retval=0L)

## Static Public Member Functions
static SbThread * | create (void *(*func)(void *), void *closure)
static void | destroy (SbThread *thread)
static SbBool | join (SbThread *thread, void **retval=0L)

## Protected Member Functions
| SbThread (cc_thread *thrd)
| ~SbThread (void)

## Detailed Description

A class for managing threads.

This class provides a portable framework around the tasks of instantiating, starting, stopping and joining threads.

It wraps the underlying native thread-handling toolkit in a transparent manner, to make multiplatform threads programming straightforward for the application programmer.

## Constructor & Destructor Documentation

SbThread::SbThread | ( | cc_thread * | thread | ) |
| inlineprotected

Protected constructor handling the internal thread ADT.

See also
  SbThread::create

SbThread::~SbThread | ( | void |  | ) |
| inlineprotected

Destructor.

See also
  SbThread::destroy

## Member Function Documentation

static SbThread * SbThread::create | ( | void *(*)(void *) | func,
|  | void * | closure
| ) |  |
| inlinestatic

This function creates a new thread, or returns NULL on failure.

static void SbThread::destroy | ( | SbThread * | thread | ) |
| inlinestatic

This function destroys a thread.

int SbThread::join | ( | void ** | retval = `0L` | ) |
| inline

This function waits on the death of the given thread, returning the thread's return value at the location pointed to by `retval`.

static int SbThread::join | ( | SbThread * | thread,
|  | void ** | retval = `0L`
| ) |  |
| inlinestatic

This function waits on the death of the given thread, returning the thread's return value at the location pointed to by `retval`.

The documentation for this class was generated from the following files:

- SbThread.h
- thread.cpp

Copyright © 1998-2010 by Kongsberg Oil & Gas Technologies. All rights reserved.